package com.example.nto.exception;

import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.ControllerAdvice;
import org.springframework.web.bind.annotation.ExceptionHandler;

@ControllerAdvice
public class GlobalExceptionHandler {
    @ExceptionHandler(CodeNotFoundException.class)
    ResponseEntity<String> codeNotFoundExceptionHandler(NullPointerException e) {
        return new ResponseEntity<>(e.getMessage(), HttpStatus.BAD_REQUEST);
    }

    @ExceptionHandler(EmployeeNotFoundException.class)
    ResponseEntity<String> employeeNotFoundExceptionHandler(NullPointerException e) {
        return new ResponseEntity<>(e.getMessage(), HttpStatus.UNAUTHORIZED);
    }

    @ExceptionHandler(EmployeeDataNotFoundException.class)
    ResponseEntity<String> employeeDataNotFoundExceptionHandler(NullPointerException e) {
        return new ResponseEntity<>(e.getMessage(), HttpStatus.INTERNAL_SERVER_ERROR);
    }

    @ExceptionHandler(EmployeeIsBlockedException.class)
    ResponseEntity<String> employeeIsBlockedExceptionHandler(NullPointerException e) {
        return new ResponseEntity<>(e.getMessage(), HttpStatus.LOCKED);
    }
}
