package com.example.nto.repository;

import com.example.nto.entity.Code;
import com.example.nto.entity.EmployeeData;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import org.springframework.transaction.annotation.Transactional;

import java.time.LocalDateTime;
import java.util.Optional;

public interface EmployeeDataRepository extends JpaRepository<EmployeeData, Long> {
    Optional<EmployeeData> findByOwnerId(long ownerId);
    @Query(value = "select e.id from employee_data e where owner_id = :owner_id", nativeQuery = true)
    Optional<Long> findIdByOwnerId(@Param("owner_id") long ownerId);

    @Modifying
    @Query("update EmployeeData e set e.lastVisit = :time where e.id = :id")
    void updateTimeById(@Param("id") long id, @Param("time") LocalDateTime lastVisit);
}
